#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	Refcount
Summary:	Devel::Refcount - obtain the REFCNT value of a referent
Summary(pl.UTF-8):	Devel::Refcount - odczyt wartości REFCNT obiektu wskazywanego przez referencję
Name:		perl-Devel-Refcount
Version:	0.10
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/PEVANS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	06a77b7d16b6fc504580929b11029fbf
URL:		http://search.cpan.org/dist/Devel-Refcount/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Exception
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a single function which obtains the reference
count of the object being pointed to by the passed reference value.

%description -l pl.UTF-8
Moduł ten dostracza pojedynczą funkcję, która odczytuje licznik
odwołań do obiektu wskazanego przez przekazaną referencję.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Devel/Refcount.pm
%dir %{perl_vendorarch}/auto/Devel/Refcount
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/Refcount/Refcount.so
%{_mandir}/man3/Devel::Refcount.3pm*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-Refcount.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> c343f9b
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 6bdcd84
- updated to 0.10

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7754ff6
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> bc9342a
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 1e7303e
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 975207e
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> eb4bb3c
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 113879f
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 09cc448
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 81e772e
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 5b31e22
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 8a83f06
- up to 0.09

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 4b19795
- polished pl
- unified Source URL

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6598ee6
- release 2

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> 61f621f
- updated to 0.07

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 94cfecc
- initial

